<?php

$type = array
(
    1 => '正常商品',
    2 => '赠品',
);

return array
(
    # 表名
    'name' => 'info_goods',
    # 显示给用户看的名称
    'lang' => '套餐商品表',
    'menu' => false,
    'end' => array
    (
        'insert' => 'scm_product/lib/order.updateGoods?table=scm_product/info_goods',
        'update' => 'scm_product/lib/order.updateGoods?table=scm_product/info_goods',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品表id',
            'default'   => '',
            'desc'      => '商品表id',
            'match'     => 'is_numeric',
        ),

        'goods'      => array
        (
            'type'      => 'varchar-2000',
            'name'      => '商品',
            'default'   => '',
            'desc'      => '商品',
            'match'     => 'option',
            'update'    => 'select',
            'update_search' => 'scm_product/lib/manage.searchProduct?{goods_id}',
        ),

        'goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品',
            'default'   => '',
            'desc'      => '商品',
            'match'     => 'is_numeric',
        ),

        'sku_id'      => array
        (
            'type'      => 'int-11',
            'name'      => 'sku_id',
            'default'   => '-1',
            'desc'      => 'sku_id',
            'match'     => 'is_numeric',
        ),

        'num'        => array
        (
            'type'      => 'int-11',
            'name'      => '数量',
            'default'   => '1',
            'desc'      => '数量',
            'match'     => 'is_numeric',
            'search'    => 'select',
            'update'	=> 'text',
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'  => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
