<?php

$status = array
(
	1 => '启用',
	2 => '禁用',
);
return array
(
	# 表名
	'name' => 'servicer_store',
	# 显示给用户看的名称
	'lang' => '配送商仓库',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	'status' => $status,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'servicer_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '配送商ID',
			'default' 	=> '-1',
			'desc' 		=> '配送商ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_servicer_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '仓库名称',
			'default' 	=> '',
			'desc' 		=> '仓库名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'code'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '仓库编码',
            'default'   => '',
            'desc'      => '仓库编码',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用',
			'default' 	=> '1',
			'desc' 		=> '是否启用',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
        
	),

	'request' => array
	(
		
	)
);
