<?php

namespace Scm_order\Src;

use Dever;

class Sell
{
	public function __construct()
	{
		$this->uid = 1;
		$this->seller_id = Dever::input('seller_id', 1);
	}

	public function test_confirm()
	{
		$data['goods'] = array();
		$data['goods'][0]['goods_id'] = '10000001';
		$data['goods'][0]['sku_id'] = '8';
		$data['goods'][0]['num'] = '1';

		return $data;
	}

	# 确认订单页面
	public function confirm()
	{
		$data = Dever::load('scm_order/lib/sell')->goods($this->uid, $this->seller_id);
		//$data = Dever::load('scm_order/lib/sell')->coupon($data);

		return $data;
	}

	# 开始下单
	public function pay_commit()
	{
		$refer = Dever::input('refer');
		$cart = Dever::input('cart', 1);
		$address_id = Dever::input('address_id');
		
		$info = Dever::input('info');

		$data = Dever::load('scm_order/lib/sell')->goods($this->uid, $this->seller_id);
		//Dever::load('scm_order/lib/sell')->coupon($this->data, 2);

		$pay = Dever::load('scm_order/lib/sell')->pay($data, $this->uid, $this->seller_id);
		return $pay;
	}

	# 再次付款
	public function r_pay()
	{
		$refer = Dever::input('refer');
		$order_id = Dever::input('order_id');

		$pay = Dever::load('scm_order/lib/sell')->rpay($order_id, 5, $refer);

		return $pay;
	}

	# 查询是否支付
	public function c_pay()
	{
		$refer = Dever::input('refer');
		$order_id = Dever::input('order_id');

		$pay = Dever::load('scm_order/lib/sell')->cpay($order_id, 5, $refer);

		return $pay;
	}
}